com.threerings.whirled.zone.peer.server

## Interface PeeredZoneRegistry.PeerZoneResolutionListener

All Superinterfaces:
  ZoneManager.ResolutionListener

All Known Implementing Classes:
  PeeredZoneRegistry.PeerZoneMoveHandler

Enclosing class:
  PeeredZoneRegistry

    public static interface PeeredZoneRegistry.PeerZoneResolutionListener
    extends ZoneManager.ResolutionListener

Peer-awareness for finding out about zones.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `zoneOnNode(Tuple<String,HostedZone> nodeInfo)` Called when the zone is already hosted on another node.

### Methods inherited from interface com.threerings.whirled.zone.server.ZoneManager.ResolutionListener

`zoneFailedToResolve, zoneWasResolved`

### Method Detail

#### zoneOnNode

    void zoneOnNode(Tuple<String,HostedZone> nodeInfo)

Called when the zone is already hosted on another node.